<?php
/**
* @version 			PULSAR 2.x Core
* @package			test
* @url				http://www.pulsar-informatique.com
* @editor			Pulsar - www.pulsar-informatique.com
* @copyright		Copyright (C) 2012 Pulsar. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
**/

// No Direct Access
defined( '_JEXEC' ) or die;

// Plugin
class plgCCK_Field_TypoMultilink extends JCckPluginTypo
{
	protected static $type	= 'multilink';
	protected static $path;
	
	// -------- -------- -------- -------- -------- -------- -------- -------- // Prepare
		
	// onCCK_Field_TypoPrepareContent
	public function onCCK_Field_TypoPrepareContent( &$field, $target = 'value', &$config = array() )
	{
		if ( self::$type != $field->typo ) {
			return;
		}
		self::$path	=	JURI::root().'plugins/cck_field_typo/'.self::$type.'/';
		
		// Prepare, i've keep it this way cause i haven't really understand what's going on with some parent's functions
		if ( $field->value && $field->value != '' ) {
			$typo			=	parent::g_getTypo( $field->typo_options );

			$field->typo	=	self::_typo( $typo, $field, '', $config );
		} else {
			$field->typo	=	'';
		}
		
		$field->typo		=	parent::g_hasLink( $field, $typo, $field->typo );
	}
	
	
	
	// _typo
	protected static function _typo( $typo, $field, $value, &$config = array() )
	{
		$divider	=	$field->divider;
		$values		=	$field->value;
		$values		=	str_replace(' ', '%20', $values);
		$dividerHref	=	str_replace(' ', '%20', $divider);
		$texto		=	$field->html;
		$storage	=	$field->storage_field;
		$link		=	$field->link;
		$text		=	$field->text;
		$valuesAr	=	explode($dividerHref, $values);
		$textAr		=	explode($divider, $text);
		$count		=	count($valuesAr);
		$countText	=	count($textAr);
		$variables	=	'';

		$i=1;
		foreach($valuesAr as $val){
			if($i==$count)
				$variables.=$storage.'='.$val;
			else
				$variables.=$storage.'='.$val.$dividerHref;
			$i++;
		}
		
		
		
		$field->link	=	'';
		
		$return	=	'';
		$i=1;

		foreach($textAr as $key=>$valText){
			$linkHref	=	str_replace($values, $valuesAr[$key], $link);

			if($i!=$countText){
				$return.='<a href="'.$linkHref.'">'.$valText.'</a>'.$divider;
			}
			else{
				$return.='<a href="'.$linkHref.'">'.$valText.'</a>';
			}
			$i++;
		}

		return $return;
	}	
}
?>